<template lang="html">
	<div class="container">
	<div class="navbar navbar-lg navbar-light bg-info">
	    <div class="navbar-brand">
	      <div class="text-white">
	        Trayectos DESTACAME
	     </div>
    </div>
    <div class="nav-links">
        <button class="btn btn-info text-light" v-on:click="gotrayecto">Trayectos</button>
        <button class="btn btn-info text-light" v-on:click="gopasajero">Pasajeros</button>
        <button class="btn btn-info text-light" v-on:click="gochofer">Choferes</button>
        <button class="btn btn-info text-light" v-on:click="gobus">Buses</button>
    </div>
  </div>
  <br>
		<div class="row">
			<div class="col-md-12 text-center">
				<h1>Trayectos</h1>			
			</div>
			<div class="col-md-12 text-left">
				<button class="btn btn-info" v-on:click="nuevo">Nuevo</button><br><br>
			</div>
			<div class="col-md-12">
				<table class="table">
					<thead>
						<th>id trayecto</th>
						<th>bus</th>
						<th>chofer</th>
						<th>origen</th>
						<th>destino</th>
						<th>estado</th>
						<th>pasajeros</th>
						<th></th>
					</thead>
					<tbody>
						<tr v-for="item in items">
							<td>{{ item.id_trayecto }}</td>
							<td>{{ item.bus }}</td>
							<td>{{ item.chofer }}</td>
							<td>{{ item.origen }}</td>
							<td>{{ item.destino }}</td>
							<td>{{ item.estado }}</td>
							<td>{{item.pasajeros.length}} pasajeros vendidos</td>
							<td>
								<button class="btn btn-warning" type="submit"  v-on:click="editar(item.id_trayecto)">Editar</button>
								<button class="btn btn-danger" v-on:click="eliminar(item.id_trayecto)">Eliminar</button>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
	</div>
</template>

<script>

import axios from 'axios';

	export default {
		data() {
			return{
		        items: [		        
		        ],
			}
		},
		methods: {
			getTrayecto(){
				const path = 'http://localhost:8000/trayecto/trayecto/'
				axios.get(path).then((response) => {
					this.items = response.data
				})
				.catch((error) => {console.log(error)})
			},
			eliminar(b){
				location.href = `/trayecto/${b}/eliminar`			
			},
			editar(b){
				location.href = `/trayecto/${b}/editar`			
			},
			nuevo(b){
				location.href = `/trayecto/nuevo`			
			},
			gotrayecto(e){
				e.preventDefault()
				location.href = '/trayecto'			
			},
			gochofer(e){
				e.preventDefault()
				location.href = '/chofer'			
			},
			gopasajero(e){
				e.preventDefault()
				location.href = '/pasajero'			
			},
			gobus(e){
				e.preventDefault()
				location.href = '/bus'			
			},
		},		
		created(){
			this.getTrayecto()
			this.gotrayecto()
			this.gochofer()
			this.gopasajero()
			this.gobus()
		}

	}
</script>

<style lang="css" scoped>
</style>